Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DEROctetString

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.ASN1OctetString
                      org.bouncycastle.asn1.DEROctetString

All Implemented Interfaces:
  ASN1OctetStringParser, DEREncodable, DERTags

Direct Known Subclasses:
  BERConstructedOctetString

    public class DEROctetString

extends ASN1OctetString

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DEROctetString(byte[] string)`
`DEROctetString(DEREncodable obj)`

Method Summary

Methods inherited from class org.bouncycastle.asn1.ASN1OctetString
`getInstance, getInstance, getOctets, getOctetStream, hashCode, parser, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.bouncycastle.asn1.DEREncodable
`getDERObject`

Constructor Detail

### DEROctetString

    public DEROctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

### DEROctetString

    public DEROctetString(DEREncodable obj)

Bouncy Castle Cryptography Library 1.45